Archive

Archive for November, 2015

ATB Viewer for Mac 1.2.1 now available

November 19, 2015 Comments off

atbv-64x64
Don’t get too excited! This version simply fixes the HUF currency issue to keep the Mac app consistent with iOS.

More details on my Mac app can be found on my support page.

Meter Readings 4.3 now available

November 15, 2015 Comments off

mricon57 Minor fixes as a result of the iOS 9 update.

Note that you now require iOS 7.0 or above. Older versions (of iOS and my app) will continue to work, but you will no longer get updates. Full details are on my website.

Account Tracker 4.6 now available

November 13, 2015 Comments off

aticon57 atficon57 If you are in the UK and like my app (and this update), please consider donating to the BBC’s annual Children In Need appeal (on TV tonight, 13th November). It’s a very good cause. Many thanks!

Added a fix/workaround for the HUF currency issue introduced by iOS 9.

Fixed a couple of layout issues on the iPad when running iOS 8 or above.

Fixed a crash when setting up or syncing via iCloud (iOS 7 only).

Fixed an issue when launching 1Password for PIN code entry (thanks to Rad from AgileBits for his help!).

Note that you now require iOS 7.0 or above. Older versions (of iOS and my app) will continue to work, but you will no longer get updates. Full details are on my website.

Minimum iOS version in my apps

November 7, 2015 Comments off

aticon57 atficon57 mricon57 hlicon57

As Apple continues to release a new version of iOS every year, it is becoming harder and harder to keep up support for older versions. Especially when I need to use the latest development tools to support the latest features.

I am currently in the process of updating all my apps, and as such will be making iOS 7.0 the minimum version supported. Hill Lists has already been updated, and Account Tracker (Free) is in the review queue. Meter Readings will be updated this weekend.

A helpful reference for devices vs minimum iOS versions can be found here. To continue getting updates(*), you will need to be running at least iOS 7.0. This means you need the following hardware …

  • iPhone 4 or above
  • iPod Touch 5th generation or above
  • iPad 2 or above
  • iPad Mini (all versions)
  • iPad Pro (when it comes out!)

Apologies to those of you with older hardware. I have a drawer full of it! 😦

* older versions of iOS and my app will continue to work, you just won’t see further updates

Account Tracker and 1Password

November 5, 2015 Comments off

onepassword-icon-large-cbea0ec5d67cbb3711119753c4abab57 I added 1Password support to Account Tracker a year or two ago, to let people use complex passwords to unlock my app.

With the introduction of TouchID, this has become less useful, however some people still use it. Unfortunately something broke in the implementation and it has taken a while to fix.

After a short but very useful debugging session last night with Rad from AgileBits (the company behind 1Password), we have now figured out what is wrong. Turns out it’s an Apple bug(!) and something I was doing prevented the 1Password code from working properly.

This is now fixed and it will be included in my next update (coming soon).

Hill Lists 4.5 now available

November 1, 2015 Comments off

hlicon57 Minor fixes as a result of the iOS 9 update.

Upgraded to version 15 of the Database of British and Irish Hills (DoBIH).

When viewing all hills by date climbed, the app now shows all ascents, i.e. each hill is shown one or more times.

Note that you now require iOS 7.0 or above. Older versions (of iOS and my app) will continue to work, but you will no longer get updates. Full details are on my website.